<?php

namespace Modules\Example\Observers;

use Modules\Example\Entities\Example;

class ExampleObserver
{
    /**
     * Handle the model "created" event.
     */
    public function created(Example $example): void
    {
        //
    }

    /**
     * Handle the model "updated" event.
     */
    public function updated(Example $example): void
    {
        //
    }

    /**
     * Handle the model "deleted" event.
     */
    public function deleted(Example $example): void
    {
        //
    }

    /**
     * Handle the model "restored" event.
     */
    public function restored(Example $example): void
    {
        //
    }

    /**
     * Handle the model "force deleted" event.
     */
    public function forceDeleted(Example $example): void
    {
        //
    }
}
